Error Message When Installing Wordpress


  • | 297 points

    I am trying to install wordpress on my computer, but keep get an error message (see below). That is to say, I am not given an option to install a database when I visit the relevant url, just the error message. Any idea why I am getting this message and how to fix it?

    Note, btw, I have no problem installing and running laravel.

    Fatal error: Uncaught Error: Call to undefined function mysql_connect() in C:\laragon\www\wptwo\wp-includes\wp-db.php:1658 Stack trace: #0 C:\laragon\www\wptwo\wp-includes\wp-db.php(631): wpdb->db_connect() #1 C:\laragon\www\wptwo\wp-includes\load.php(426): wpdb->__construct('root', '', 'wptwo', 'localhost') #2 C:\laragon\www\wptwo\wp-settings.php(126): require_wp_db() #3 C:\laragon\www\wptwo\wp-config.php(97): require_once('C:\laragon\www\...') #4 C:\laragon\www\wptwo\wp-load.php(37): require_once('C:\laragon\www\...') #5 C:\laragon\www\wptwo\wp-blog-header.php(13): require_once('C:\laragon\www\...') #6 C:\laragon\www\wptwo\index.php(17): require('C:\laragon\www\...') #7 {main} thrown in C:\laragon\www\wptwo\wp-includes\wp-db.php on line 1658
    There has been a critical error on your website.

    Learn more about debugging in WordPress.


  • | 856 points

    @moshemo Hi: one has to create a database prior to installing WP. I usually use phpmyadmin to access mysql, create a database leaving the tables blank. If the server is configured properly and your database is using the right collation (utf8mb4), one should be OK. I believe WP is saying 7.4 is the minimum PHP right now (don't quote me). PS: make sure all your relevant files have write permissions...if this is not working still, then I would question the server configuration...hope this helps...Derek


Log in to reply
 

Looks like your connection to Laragon was lost, please wait while we try to reconnect.